## UIM Power Off SIM request UIM Power Off SIM request |

## Functions

QmiMessageUimPowerOffSimInput * | qmi_message_uim_power_off_sim_input_new ()
QmiMessageUimPowerOffSimInput * | qmi_message_uim_power_off_sim_input_ref ()
void | qmi_message_uim_power_off_sim_input_unref ()
gboolean | qmi_message_uim_power_off_sim_input_get_slot ()
gboolean | qmi_message_uim_power_off_sim_input_set_slot ()
QmiMessageUimPowerOffSimOutput * | qmi_message_uim_power_off_sim_output_ref ()
void | qmi_message_uim_power_off_sim_output_unref ()
gboolean | qmi_message_uim_power_off_sim_output_get_result ()
void | qmi_client_uim_power_off_sim ()
QmiMessageUimPowerOffSimOutput * | qmi_client_uim_power_off_sim_finish ()

## Types and Values

| QmiMessageUimPowerOffSimInput
| QmiMessageUimPowerOffSimOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimPowerOffSimInput
        ╰── QmiMessageUimPowerOffSimOutput

## Description

## Functions

### qmi_message_uim_power_off_sim_input_new ()

    QmiMessageUimPowerOffSimInput *
    qmi_message_uim_power_off_sim_input_new
                                   (void);

Allocates a new QmiMessageUimPowerOffSimInput.

#### Returns

the newly created QmiMessageUimPowerOffSimInput. The returned value should be freed with `qmi_message_uim_power_off_sim_input_unref()`.

Since: 1.18

### qmi_message_uim_power_off_sim_input_ref ()

    QmiMessageUimPowerOffSimInput *
    qmi_message_uim_power_off_sim_input_ref
                                   (QmiMessageUimPowerOffSimInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimPowerOffSimInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_uim_power_off_sim_input_unref ()

    void
    qmi_message_uim_power_off_sim_input_unref
                                   (QmiMessageUimPowerOffSimInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimPowerOffSimInput. |

Since: 1.18

### qmi_message_uim_power_off_sim_input_get_slot ()

    gboolean
    qmi_message_uim_power_off_sim_input_get_slot
                                   (QmiMessageUimPowerOffSimInput *self,
                                    guint8 *value_slot,
                                    GError **error);

Get the 'Slot' field from `self` .

#### Parameters

self | a QmiMessageUimPowerOffSimInput. |
value_slot | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_uim_power_off_sim_input_set_slot ()

    gboolean
    qmi_message_uim_power_off_sim_input_set_slot
                                   (QmiMessageUimPowerOffSimInput *self,
                                    guint8 value_slot,
                                    GError **error);

Set the 'Slot' field in the message.

#### Parameters

self | a QmiMessageUimPowerOffSimInput. |
value_slot | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_uim_power_off_sim_output_ref ()

    QmiMessageUimPowerOffSimOutput *
    qmi_message_uim_power_off_sim_output_ref
                                   (QmiMessageUimPowerOffSimOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimPowerOffSimOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_uim_power_off_sim_output_unref ()

    void
    qmi_message_uim_power_off_sim_output_unref
                                   (QmiMessageUimPowerOffSimOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimPowerOffSimOutput. |

Since: 1.18

### qmi_message_uim_power_off_sim_output_get_result ()

    gboolean
    qmi_message_uim_power_off_sim_output_get_result
                                   (QmiMessageUimPowerOffSimOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimPowerOffSimOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_uim_power_off_sim ()

    void
    qmi_client_uim_power_off_sim (QmiClientUim *self,
                                  QmiMessageUimPowerOffSimInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Power Off SIM request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_power_off_sim_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimPowerOffSimInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_uim_power_off_sim_finish ()

    QmiMessageUimPowerOffSimOutput *
    qmi_client_uim_power_off_sim_finish (QmiClientUim *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_uim_power_off_sim()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_power_off_sim()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimPowerOffSimOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_power_off_sim_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageUimPowerOffSimInput

    typedef struct _QmiMessageUimPowerOffSimInput QmiMessageUimPowerOffSimInput;

The QmiMessageUimPowerOffSimInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageUimPowerOffSimOutput

    typedef struct _QmiMessageUimPowerOffSimOutput QmiMessageUimPowerOffSimOutput;

The QmiMessageUimPowerOffSimOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18